### Method

# Ide EditorAddin unload

#### Declaration

    void
    ide_editor_addin_unload (
      IdeEditorAddin* self,
      IdeEditorSurface* surface
    )

#### Description

This method is called to unload the addin.

The addin is responsible for undoing anything it setup in load and cancel any in-flight or pending tasks immediately.

Available since: | 3.32

#### Parameters

`surface` | `IdeEditorSurface`
| An `IdeEditorSurface`.
| The data is owned by the caller of the function.